%define oname Oxygen-Molecule

Summary:	GTK Oxygen Molecule theme
Name:		gtk-oxygen-molecule
Version:	3.2
Release:	%mkrel 7
Source0:	%{name}-%{version}.tar.gz
Source2:	config
License:	GPL
URL:		http://www.kde-look.org/content/show.php/Oxygen-Molecule+KDE+&+GTK%2B+unified+theme?content=103741
Group:		Graphical desktop/KDE4
BuildRoot:	%{_tmppath}/%{oname}-%{version}-buildroot
BuildArch:	noarch
Conflicts:	gtk-qt-engine
Conflicts:	gtk-kde4
Conflicts:	gtk-oxygen-engine
Conflicts:	oxygen-gtk
Requires:	oxygen-icon-theme


%description
Oxygen-Molecule is a theme for GTK+ applications to provide a uniform look when
used under the KDE 4.3 desktop environment. It was originally based on the
kde4.2-oxygen (modified) 0.3 GTK theme by Dennis Schmitz 

%prep
%setup -q -n %oname-%version

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes/%{oname}
cp -a * $RPM_BUILD_ROOT%{_datadir}/themes/%{oname}/

install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/themes/%{oname}/config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/themes/%{oname}/


%post
#copy theme resource file to root folder
cp /usr/share/themes/Oxygen-Molecule/config /root/.gtkrc-2.0

#copy theme resource file to user folder
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1=/home/$idx/.gtkrc-2.0
 if [ -e $INP1 ];then cp /usr/share/themes/Oxygen-Molecule/config /home/$idx/.gtkrc-2.0; chown $idx.`id -gn $idx` $INP1; fi; done


%changelog
* Sun May 29 2011 Chomp <chomp at gmail.com> 3.2-7pclos2011
- add oxygen-gtk to conflicts

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sat Dec 25 2010 Texstar <texstar at gmail.com> 3.2-5pclos2010
- really fix .gtkrc-2.0 file again

* Wed Dec 15 2010 Texstar <texstar at gmail.com> 3.2-4pclos2010
- fix .gtkrc-2.0 file

* Tue Dec 14 2010 Texstar <texstar at gmail.com> 3.2-3pclos2010
- add conflicts

* Mon May 31 2010 Texstar <texstar at gmail.com> 3.2-2pclos2010
- add conflict to gtk-kde4
- add mising dependency to oxygen-icon-theme

* Fri Apr 16 2010 Texstar <texstar at gmail.com> 3.2-1pclos2010
- 3.2

* Mon Mar 22 2010 Texstar <texstar at gmail.com> 3.1-1pclos2010
- 3.1

* Wed Mar 17 2010 Texstar <texstar at gmail.com> 3.0-1pclos2010
- 3.0

* Mon Mar 08 2010 Texstar <texstar at gmail.com> 2.2-2pclos2010
- update theme

* Wed Jan 27 2010 Texstar <texstar at gmail.com> 2.2-1pclos2010
- 2.2

* Fri Nov 13 2009 Texstar <texstar at gmail.com> 2.1-1pclos2010
- gtk theme to match default KDE 4


